# file climch_rc.py: list of instructions
#  for program climch* controlling data logger
# ver 14.3.2001
# List of initiation strings for data logger
# These are run only once at program start
InitiateMeasurements = ['syst:pres\n',
'sens:temp:tran:frtd:type 85, (@301,302)\n',
'sens:temp:tran:tc:type k, (@304,305,314)\n',
'sens:temp:tran:tc:rjun:type ext, (@304,305,314)\n',
'sens:volt:dc:rang:auto on, (@303,313,316,318)\n',
'calc:scale:gain 10, (@316)\n',
'sens:volt:dc:aper 2, (@303)\n',  
'rout:chan:delay 0.5, (@303)\n',
'calc:scale:gain 260000, (@303)\n',
'calc:scale:offset -1117.5, (@303)\n',
'calc:scale:state on, (@316)\n',
'calc:scale:state on, (@303)\n',
'sens:res:rang:auto on, (@306,307,309,317,319)\n',
'rout:clos (@201,211,212,213,214,220)\n',
'rout:open (@215,216)\n',
'rout:scan (@301,302,303,304,305,314,316,317,318)\n',
'trig:sour imm\n',
'trig:count 1\n']

# The rest of the instructions are run at each cycle
DataMeasurements = [
'calc:aver:aver? (@301)\n', #chamber t
'calc:aver:aver? (@302)\n', #chamber dewpoint
'calc:aver:aver? (@303)\n', #s.g.V
'calc:aver:aver? (@304)\n', #peltier cool
'calc:aver:aver? (@314)\n', #heat sink t
'calc:aver:aver? (@316)\n', #Peltier Volts abs
#'calc:aver:aver? (@315)\n',
#'calc:aver:aver? (@307)\n',
'calc:aver:aver? (@317)\n', #room t, thermistor
'calc:aver:aver? (@318)\n', #room rh, Honeywell HIH
'calc:aver:aver? (@305)\n', #water tank t
#'calc:aver:aver? (@308)\n',
#'calc:aver:aver? (@309)\n',
#'calc:aver:aver? (@310)\n',
#'calc:aver:aver? (@319)\n',
#'calc:aver:aver? (@320)\n',
]

